Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.eis.interactions
Class MappedInteraction

`java.lang.Object
DatasourceCall
oracle.toplink.eis.interactions.EISInteraction
oracle.toplink.eis.interactions.MappedInteraction`

Direct Known Subclasses:
  QueryStringInteraction, XMLInteraction

public class MappedInteraction
extends EISInteraction

Defines the specification for a call to a JCA interaction using Mapped records. Builds the input and output records from the arguments.

Since:
  OracleAS TopLink 10g (10.0.3)
See Also:
  Serialized Form

Constructor Summary
`MappedInteraction()` Default constructor.

Method Summary
`void` | `addArgument(java.lang.String parameterAndArgumentFieldName)` PUBLIC: Define the argument to the interaction and the field/argument name to be substitute for it.
`void` | `addArgument(java.lang.String parameterName, java.lang.String argumentFieldName)` PUBLIC: Define the argument to the interaction and the field/argument name to be substitute for it.
`void` | `addArgumentValue(java.lang.String parameterName, java.lang.Object argumentValue)` PUBLIC: Define the argument to the interaction and the value name to be input for it.
`DatabaseRow` | `buildRow(javax.resource.cci.Record record, EISAccessor accessor)` Build a database row from the record returned from the interaction.
`javax.resource.cci.Record` | `createInputRecord(EISAccessor accessor)` Create a mapped input record for this interaction.
`java.util.Vector` | `getArgumentNames()` The argument names for the input record.
`java.lang.String` | `getInputResultPath()` PUBLIC: The input result path defines the root key for the MappedRecord that the interaction argument is nested into.
`void` | `setInputResultPath(java.lang.String inputResultPath)` PUBLIC: The input result path defines the root key for the MappedRecord that the interaction argument is nested into.

Methods inherited from class oracle.toplink.eis.interactions.EISInteraction
`addOutputArgument, addOutputArgument, buildRows, createRecordElement, getArguments, getFunctionName, getInputRecordName, getInteractionSpec, getLogString, getOutputArgumentNames, getOutputArguments, getOutputResultPath, getProperties, getProperty, hasArguments, hasOutputArguments, isEISInteraction, prepare, setFunctionName, setInputRecordName, setInputRow, setInteractionSpec, setOutputArgumentNames, setOutputArguments, setOutputResultPath, setProperties, setProperty, toString, translate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MappedInteraction

    public MappedInteraction()

  Default constructor.

Method Detail

### addArgument

    public void addArgument(java.lang.String parameterAndArgumentFieldName)

  PUBLIC: Define the argument to the interaction and the field/argument name to be substitute for it. This is only required if an input row is not used. The parameterAndArgumentFieldName is the name of the input record argument, and is the field or argument name to be used to pass to the interaction. These names are assumed to be the same, if not this method can be called with two arguments.

### addArgument

    public void addArgument(java.lang.String parameterName,
                            java.lang.String argumentFieldName)

  PUBLIC: Define the argument to the interaction and the field/argument name to be substitute for it. This is only required if an input row is not used. The parameterName is the name of the input record argument. The argumentFieldName is the field or argument name to be used to pass to the interaction. If these names are the same (as they normally are) this method can be called with a single argument.

### addArgumentValue

    public void addArgumentValue(java.lang.String parameterName,
                                 java.lang.Object argumentValue)

  PUBLIC: Define the argument to the interaction and the value name to be input for it. This is only required if an input row is not used. The parameterName is the name of the input record argument. The argumentValue is the value of the input record argument.

### getInputResultPath

    public java.lang.String getInputResultPath()

  PUBLIC: The input result path defines the root key for the MappedRecord that the interaction argument is nested into. This is required for write interaction that take the row build from the mapped object and need the input to contain that row record as part of the input, instead of the entire input.

### setInputResultPath

    public void setInputResultPath(java.lang.String inputResultPath)

  PUBLIC: The input result path defines the root key for the MappedRecord that the interaction argument is nested into. This is required for write interaction that take the row build from the mapped object and need the input to contain that row record as part of the input, instead of the entire input.

### getArgumentNames

    public java.util.Vector getArgumentNames()

  The argument names for the input record.

### createInputRecord

    public javax.resource.cci.Record createInputRecord(EISAccessor accessor)

  Create a mapped input record for this interaction. Populate the data into the record from this interaction's arguments.
  Specified by:
    `createInputRecord` in class `EISInteraction`

### buildRow

    public DatabaseRow buildRow(javax.resource.cci.Record record,
                                EISAccessor accessor)

  Build a database row from the record returned from the interaction.
  Specified by:
    `buildRow` in class `EISInteraction`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD